# Uses of Interface
org.benf.cfr.reader.api.ClassFileSource

- ## Uses of ClassFileSource in org.benf.cfr.reader.api

  Methods in org.benf.cfr.reader.api with parameters of type ClassFileSource
  Modifier and Type
  Method
  Description
  `CfrDriver.Builder`
  CfrDriver.Builder.`withClassFileSource(ClassFileSource source)`
  Overrides where CFR searches for bytecode.
  `CfrDriver.Builder`
  CfrDriver.Builder.`withOverrideClassFileSource(ClassFileSource source)`
  Allows overrides of where CFR searches for bytecode, but will fall back to default behaviour if null is returned.